name: Build and Deploy Hugo Site
on: 
  push:
    branches:
      - master
  schedule:
    - cron: '0 0 10 12 *'
    - cron: '0 0 8 1 *'
jobs:
  build-and-deploy:
    runs-on: ubuntu-latest
    container:
      volumes:
        - /home/rock/srv/alpha/ethwiki/html:/nginx
    steps:
      - uses: actions/checkout@v4.1.1
        with:
          submodules: true

      - name: Setup Hugo
        uses: peaceiris/actions-hugo@v3.0.0
        with:
          hugo-version: "latest"
          extended: true

      - name: Update hugo modules
        run: |
          # update to latest version of all modules
          hugo mod get -u

          # update the npm dependencies
          hugo mod npm pack

          # cleanup go.sum file
          hugo mod tidy

      - name: Build Site
        working-directory: /workspace/EDU/eth_website
        run: hugo --minify

      - name: Deploy to Nginx Folder
        working-directory: /workspace/EDU/eth_website
        run: cp -R public/* /nginx
